package com.bonus.canteen.core.supply.purchase.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("汇总合计行")
public class AmountBaseByPageHelperVO<T> {
   @ApiModelProperty("查询页")
   private List<T> list;
   @ApiModelProperty("合计行")
   private T totalLine;

   public T getTotalLine() {
      return this.totalLine;
   }

   public AmountBaseByPageHelperVO<T> setTotalLine(final T totalLine) {
      this.totalLine = totalLine;
      return this;
   }

   public List<T> getList() {
      return list;
   }

   public AmountBaseByPageHelperVO<T> setList(List<T> list) {
      this.list = list;
      return this;
   }
}
